Create a scenario for a mock
POST
/
v1
/
mocks
/
{mock_id}
/
scenarios
Create a scenario for a mock
curl --request POST \
--url https://api-sandbox.featherhq.com/v1/mocks/{mock_id}/scenarios \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"priority": 100,
"match_method": "ANY",
"match_path_pattern": "<string>",
"match_headers": {},
"match_query": {},
"match_body": {},
"response_status": 200,
"response_headers": {},
"response_body": {},
"delay_ms": 0,
"is_enabled": true
}
'import requests
url = "https://api-sandbox.featherhq.com/v1/mocks/{mock_id}/scenarios"
payload = {
"name": "<string>",
"priority": 100,
"match_method": "ANY",
"match_path_pattern": "<string>",
"match_headers": {},
"match_query": {},
"match_body": {},
"response_status": 200,
"response_headers": {},
"response_body": {},
"delay_ms": 0,
"is_enabled": True
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
priority: 100,
match_method: 'ANY',
match_path_pattern: '<string>',
match_headers: {},
match_query: {},
match_body: {},
response_status: 200,
response_headers: {},
response_body: {},
delay_ms: 0,
is_enabled: true
})
};
fetch('https://api-sandbox.featherhq.com/v1/mocks/{mock_id}/scenarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mock_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"priority": 123,
"match_method": "<string>",
"match_path_pattern": "<string>",
"match_headers": {},
"match_query": {},
"match_body": {},
"response_status": 123,
"response_headers": {},
"response_body": {},
"delay_ms": 123,
"is_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Body
application/json
Required string length:
1 - 255Required range:
0 <= x <= 10000Maximum string length:
1000Required range:
100 <= x <= 599Required range:
0 <= x <= 60000Response
Successful Response
Was this page helpful?
⌘I
Create a scenario for a mock
